Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class DOMUIEvent

    java.lang.Object
      org.apache.batik.dom.events.AbstractEvent
          org.apache.batik.dom.events.DOMUIEvent

All Implemented Interfaces:
  org.w3c.dom.events.Event, org.w3c.dom.events.UIEvent

Direct Known Subclasses:
  DOMKeyEvent, DOMMouseEvent

public class DOMUIEvent
extends AbstractEvent
implements org.w3c.dom.events.UIEvent

The UIEvent class provides specific contextual information associated with User Interface events.

Field Summary

Fields inherited from class org.apache.batik.dom.events.AbstractEvent
`cancelable, currentTarget, eventPhase, isBubbling, preventDefault, stopPropagation, target, timeStamp, type`

Fields inherited from interface org.w3c.dom.events.Event
`AT_TARGET, BUBBLING_PHASE, CAPTURING_PHASE`

Constructor Summary
`DOMUIEvent()`

Method Summary
`int` | `getDetail()` DOM: Specifies some detail information about the `Event`, depending on the type of event.
`org.w3c.dom.views.AbstractView` | `getView()` DOM: The `view` attribute identifies the `AbstractView` from which the event was generated.
`void` | `initUIEvent(java.lang.String typeArg, boolean canBubbleArg, boolean cancelableArg, org.w3c.dom.views.AbstractView viewArg, int detailArg)` DOM: The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface.

Methods inherited from class org.apache.batik.dom.events.AbstractEvent
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getEventPreventDefault, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.events.Event
`getBubbles, getCancelable, getCurrentTarget, getEventPhase, getTarget, getTimeStamp, getType, initEvent, preventDefault, stopPropagation`

Constructor Detail

### DOMUIEvent

    public DOMUIEvent()

Method Detail

### getView

    public org.w3c.dom.views.AbstractView getView()

  DOM: The `view` attribute identifies the `AbstractView` from which the event was generated.

  Specified by:
    `getView` in interface `org.w3c.dom.events.UIEvent`

### getDetail

    public int getDetail()

  DOM: Specifies some detail information about the `Event`, depending on the type of event.

  Specified by:
    `getDetail` in interface `org.w3c.dom.events.UIEvent`

### initUIEvent

    public void initUIEvent(java.lang.String typeArg,
                            boolean canBubbleArg,
                            boolean cancelableArg,
                            org.w3c.dom.views.AbstractView viewArg,
                            int detailArg)

  DOM: The `initUIEvent` method is used to initialize the value of a `UIEvent` created through the `DocumentEvent` interface. This method may only be called before the `UIEvent` has been dispatched via the `dispatchEvent` method, though it may be called multiple times during that phase if necessary. If called multiple times, the final invocation takes precedence.

  Specified by:
    `initUIEvent` in interface `org.w3c.dom.events.UIEvent`
  Parameters:
    `typeArg` - Specifies the event type.
    `canBubbleArg` - Specifies whether or not the event can bubble.
    `cancelableArg` - Specifies whether or not the event's default action can be prevented.
    `viewArg` - Specifies the `Event`'s `AbstractView`.
    `detailArg` - Specifies the `Event`'s detail.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.